Booking Pro API
Api referenceWebhooks

Rotate a webhook's signing secret

Generates a new signing secret and returns it ONCE. Update your receiver to verify with the new secret. The old secret stops working immediately.

View on GitHub
Connect your AI:ClaudeChatGPT
POST
/webhooks/{id}/rotate-secret

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Send your API key as a bearer token: Authorization: Bearer bp_sk_live_.... Mint and revoke keys in your dashboard under Settings -> Developers.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "url": "http://example.com",  "event_types": [    "string"  ],  "description": "string",  "active": true,  "all_locations": true,  "location_ids": [    "7ceda13f-d067-415e-902d-9f8e578b32ab"  ],  "created_at": "2019-08-24T14:15:22Z",  "last_success_at": "2019-08-24T14:15:22Z",  "last_error": "string",  "last_error_at": "2019-08-24T14:15:22Z",  "secret": "string"}